Skip to main content
GET
/
timeseries
/
{metric_definition_id}
Retrieve the timeseries for a metric definition.
curl --request GET \
  --url https://api.eu.bronto.io/timeseries/{metric_definition_id} \
  --header 'X-BRONTO-API-KEY: <api-key>'
{}

Authorizations

X-BRONTO-API-KEY
string
header
required

Path Parameters

metric_definition_id
string<uuid>
required

The Id of the metric definition to compute the time series for

Query Parameters

time_range
string

The relative time range for which to query data. Time range supported is from milliseconds to years. For an exact range, use from_ts and to_ts instead.

from_ts
integer<int64>

The starting time (unix time in milliseconds) for which to query data. Must be used together with to_ts. This parameter is incompatible with time_range.

to_ts
integer<int64>

The ending time (unix time in milliseconds) for which to query data. Must be used together with from_ts. This parameter is incompatible with time_range.

limit
integer
default:100

In a query with a group by, it limits the number of groups returned.

Required range: 1 <= x <= 1000
num_of_slices
integer
default:10

The number of buckets to break the time series results into.

where
string

The where parameter is used to filter the results of your query. See https://docs.bronto.io/core-features/log-search/query-syntax for more details The filter can combine multiple terms using AND, OR, NOT.

delta
boolean
default:false

Enables calculation of the difference between the current and previous time range values. When set to true, the response includes a delta object with the computed difference and its relative change.

delta_time_range
string

The reference time period used for delta comparison. Either delta_time_range or both delta_from_ts and delta_to_ts may be provided when delta is enabled. delta_time_range takes precedence over delta_from_ts/delta_to_ts if both are supplied. If no delta period is specified, the delta is computed against the previous equivalent time range.

delta_from_ts
integer

The starting unix time in milliseconds for which to query data for delta comparison. Either delta_time_range or both delta_from_ts and delta_to_ts may be provided when delta is enabled. delta_time_range takes precedence over delta_from_ts/delta_to_ts if both are supplied. If no delta period is specified, the delta is computed against the previous equivalent time range.

delta_to_ts
integer

The ending unix time in milliseconds for which to query data for delta comparison. Either delta_time_range or both delta_from_ts and delta_to_ts may be provided when delta is enabled. delta_time_range takes precedence over delta_from_ts/delta_to_ts if both are supplied. If no delta period is specified, the delta is computed against the previous equivalent time range.

Response

Metric timeseries computed retrieved successfully

Map of the query/formula name and the related timeseries

{key}
object

contains the timeseries for a query or a formula